Skip to main content
This API reference is useful if you are trying to manage Domo Roles from anywhere ‘outside’ of your Domo instance such as:
  1. Jupyter scripts
  2. Code Engine Functions
  3. Custom Java/Node/Python scripts

Create Role

Playground

Overview

Create a Role based on an existing role’s authorities

Endpoint

POST /api/authorization/v1/roles

Body Parameters

Example

Response


Get Role By Id

Playground

Overview

Fetch a single Role by role id

Endpoint

GET /api/authorization/v1/roles/{roleId}

Path Parameters

Example

Response


Get All Roles

Playground

Overview

Fetch a all Roles in an instance

Endpoint

GET /api/authorization/v1/roles

Example

Response


Update Role Authorities

Playground

Overview

Updates the authorities or grants which a role is capable of utilizing

Endpoint

PATCH /api/authorization/v1/roles/{roleId}/authorities

Path Parameters

Body

The body for this query is a string array containing the complete list of authorities the role should have after the update

Example

Response


Delete Role

Playground

Overview

Delete a Role

Endpoint

DELETE /api/authorization/v1/roles/{roleId}

Path Parameters

Example

Response